/**
 * Theme Name: BS Freelance
 * Template:   twentytwentyfive
 * ...other header fields
 */

body {
    scroll-behavior: smooth!important;
}

.is-z-index-absolute {
    z-index: 999999999;
}

.is-width-content-fit {
    width: fit-content;
}

.is-title-nowrap {
    text-wrap: nowrap;
    font-size: clamp(1.4rem, 2vw, 2.4rem);
}

.is-width-fit-content {
    width: fit-content;
}

.is-height-100 {
    height: 100%;
}

.hor-line-top {
    border-top: 2px #12121286 solid;
}

.hor-line-bottom {
    border-bottom: 2px #12121286 solid;
}

.vert-line-left {
    border-left: 2px #12121286 solid;
}

.vert-line-right {
    border-right: 2px #12121286 solid;
}

.faded-hor-line-top {
    border-top: 2px #12121286 solid;
}

.faded-hor-line-bottom {
    border-bottom: 2px #12121286 solid;
}

.soft-drop-shadow {
    filter: drop-shadow(2px 2px 5px #0000006b)
}

.scroll-buffer {
    scroll-margin-top: 120px;
    scroll-behavior: smooth!important;
}

.is-text-hover-underline a {
    text-decoration: none!important;

}

.is-text-hover-underline a:hover {
    text-decoration: underline!important;
}

.is-text-nowrap {
    text-wrap: nowrap!important;
}

.is-content-wrap-center {
    flex-wrap: nowrap;
    justify-content: space-between;
}

@media screen and (max-width: 860px) {
    .is-content-wrap-center {
        flex-wrap: wrap;
        justify-content: center!important;
    }
    .is-content-wrap-center div {
        padding-left: 0!important;
        padding-right: 0!important;
    }
}

.media-text-delayed-wrap {
    flex-wrap: nowrap;
}

.media-text-delayed-reverse-wrap {
    flex-wrap: nowrap;
}

.media-text-delayed-wrap-media img {
    width: clamp(200px, 10vw, 300px)!important;
    max-width: 300px!important;

}

.media-text-delayed-wrap div.vert-line-left,
.media-text-delayed-reverse-wrap div.vert-line-right {
    min-height: 340px; 
    align-content: center;
}


@media screen and (max-width: 1400px) {
    .media-text-delayed-wrap,
    .media-text-delayed-reverse-wrap {
        flex-wrap: wrap;
        justify-content: center;
        position: relative;
    }
    .media-text-delayed-reverse-wrap {
        flex-wrap: wrap-reverse;
    }
    .media-text-delayed-reverse-wrap div.vert-line-right p {
        text-align: center;
    }
    .media-text-delayed-wrap div.vert-line-left,
    .media-text-delayed-reverse-wrap div.vert-line-right {
        display: flex!important;
        flex-wrap: wrap!important;
        flex-flow: column;
        border-right: 0px;
        border-left: 0px;
        text-align: center;
        width: 100%;
        align-content: center;
    }
    .media-text-delayed-wrap div,
    .media-text-delayed-reverse-wrap div {
        padding-right: 0!important;
        padding-left: 0!important;
        padding-top: 0!important;
        padding-bottom: 0!important;
    }
}

@media screen and (max-width: 860px) {
    .reactive-content-section {
        width: 100%!important;
        max-width: unset!important;
        display: flex;
        flex-flow: column;
        position: relative;
        top: 0!important;
        left: 0!important;
    }
    .reactive-content-section-backdrop {
        overflow: hidden;
        position: relative;
        margin-left: 0;
        margin-right: 0;
        padding-left: 0;
        padding-right: 0;
    }
}
